> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1replicationdiagnosticsreplicationchangesetstate



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Replication//swagger/v1/swagger.json get /api/v1/Replication/Diagnostics/replicationChangeSetState
openapi: 3.0.0
info:
  title: NDS.Services.Replication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Replication/
security: []
paths:
  /api/v1/Replication/Diagnostics/replicationChangeSetState:
    get:
      tags:
        - ReplicationDiagnostics
      operationId: ReplicationDiagnostics_GetReplicationChangeSetStatus
      parameters:
        - name: request
          in: query
          schema:
            nullable: true
            oneOf:
              - $ref: '#/components/schemas/GetReplicationChangeSetStatus'
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetReplicationChangeSetStatusResult'
components:
  schemas:
    GetReplicationChangeSetStatus:
      type: object
      additionalProperties: false
    GetReplicationChangeSetStatusResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Collections:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Collection'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Collection:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        Servers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Server2'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    Server2:
      allOf:
        - $ref: '#/components/schemas/ServerId'
        - type: object
          additionalProperties: false
          properties:
            Nodes:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Node'
    ServerId:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
    Node:
      allOf:
        - $ref: '#/components/schemas/NodeId'
        - type: object
          additionalProperties: false
          properties:
            Changes:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ChangeSet'
    NodeId:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
    ChangeSet:
      type: object
      additionalProperties: false
      properties:
        Increment:
          type: integer
          format: int64

````